
RADOS - Bug #51074

standalone/osd-rep-recov-eio.sh: TEST_rep_read_unfound failed with "Bad data after primary repair"

error.

06/03/2021 09:07 AM - Sridhar Seshasayee

Status: Resolved % Done: 0%

Priority: High Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Component(RADOS):  

Regression: Yes Pull request ID: 41782

Severity: 3 - minor Crash signature (v1):  

Reviewed:  Crash signature (v2):  

Description

Observed on Master:

/a/sseshasa-2021-06-01_08:27:04-rados-wip-sseshasa-testing-objs-test-2-distro-basic-smithi/6145022

2021-06-01T10:42:28.259 INFO:tasks.workunit.client.0.smithi050.stderr:/home/ubuntu/cephtest/clone.

client.0/qa/standalone/osd/osd-rep-recov-eio.sh:458: TEST_rep_read_unfound:  wait

2021-06-01T10:42:28.259 INFO:tasks.workunit.client.0.smithi050.stderr:/home/ubuntu/cephtest/clone.

client.0/qa/standalone/osd/osd-rep-recov-eio.sh:460: TEST_rep_read_unfound:  cmp td/osd-rep-recov-

eio.sh/ORIGINAL td/osd-rep-recov-eio.sh/tmp

2021-06-01T10:42:28.260 INFO:tasks.workunit.client.0.smithi050.stderr:cmp: EOF on td/osd-rep-recov

-eio.sh/tmp which is empty

2021-06-01T10:42:28.260 INFO:tasks.workunit.client.0.smithi050.stderr:/home/ubuntu/cephtest/clone.

client.0/qa/standalone/osd/osd-rep-recov-eio.sh:462: TEST_rep_read_unfound:  echo 'Bad data after 

primary repair'

2021-06-01T10:42:28.260 INFO:tasks.workunit.client.0.smithi050.stdout:Bad data after primary repai

r

2021-06-01T10:42:28.262 INFO:tasks.workunit.client.0.smithi050.stderr:/home/ubuntu/cephtest/clone.

client.0/qa/standalone/osd/osd-rep-recov-eio.sh:463: TEST_rep_read_unfound:  return 1

2021-06-01T10:42:28.262 INFO:tasks.workunit.client.0.smithi050.stderr:/home/ubuntu/cephtest/clone.

client.0/qa/standalone/osd/osd-rep-recov-eio.sh:42: run:  return 1

History

#1 - 06/05/2021 04:07 PM - Kefu Chai

/a/kchai-2021-06-05_13:57:48-rados-master-distro-basic-smithi/6154221/

#2 - 06/05/2021 04:07 PM - Kefu Chai

- Priority changed from Normal to High

#3 - 06/05/2021 04:14 PM - Kefu Chai

not able to reproduce this issue locally. bisecting:

0331281e8a74d0b744cdcede1db24e7fea4656f

c

https://pulpito.ceph.com/kchai-2021-06-05_16:1

2:26-rados-master-distro-basic-smithi/6154521/

passed

1df55c23786a11c0bcf508e71b8c242c2d29516

6

https://pulpito.ceph.com/kchai-2021-06-06_03:1

2:45-rados-master-distro-basic-smithi/6155182/

passed

1b312db5054665fe0a6f241898a05497d4a25a9

b

https://pulpito.ceph.com/kchai-2021-06-06_03:1

8:42-rados-master-distro-basic-smithi/6155187/

passed
5871240363e9912ece5e9bc9a02673ba6ba5ef

8d

https://pulpito.ceph.com/kchai-2021-06-06_05:2

4:03-rados-master-distro-basic-smithi/6155769/

passed

11252f61171d7038a7a4aedb35e11ad502bb2a

6a

https://pulpito.ceph.com/kchai-2021-06-06_06:5

0:40-rados-11252f61171d7038a7a4aedb35e11

ad502bb2a6a-bisect-0-kefu-distro-basic-smithi/

6155794/

failed

7025d5081354ce33088aee8449de417c9dceee

85

https://pulpito.ceph.com/kchai-2021-06-06_12:0

7:52-rados-7025d508135-9367f137be7-bisect-

1-kefu-distro-basic-smithi/6156450/

passed

e9ac37d4240d7b13021e58dea60691f038130d

a1

https://pulpito.ceph.com/kchai-2021-06-07_01:4

9:44-rados-7025d508135-e9ac37d4240-bisect-

2-kefu-distro-basic-smithi/6156976/

passed

a53592e48450dc9c81134f0407a984bca49c7fa

e

https://pulpito.ceph.com/kchai-2021-06-07_06:1

7:55-rados-a53592e4845-bisect-3-kefu-distro-b

asic-smithi/6157539/

passed

328271d587d099e78dcd020c17e7465043c1bb

6b

https://pulpito.ceph.com/kchai-2021-06-07_12:4

1:36-rados-328271d587d-bisect-4-kefu-distro-b

asic-smithi/6157611/

failed

db6c995ba6ea7d19642955acf8d117d3267e96

32

https://pulpito.ceph.com/kchai-2021-06-08_01:4

4:46-rados-db6c995ba6e-bisect-5-kefu-distro-b

asic-smithi/6158445/

failed

f69e6f6702da55d58deb8379944d0a8b30b3384

b

https://pulpito.ceph.com/kchai-2021-06-08_06:3

3:58-rados-0edaff5d3c0-without-pr-41308-kefu-

distro-basic-smithi/6159596/

passed

6ab8dbe666350a7377b35b715b28fe83cc8492

c2

https://pulpito.ceph.com/kchai-2021-06-08_03:3

1:41-rados-wip-sseshasa-testing-objs-test-2-dis

tro-basic-smithi/6158710/

failed

in which, 6ab8dbe666350a7377b35b715b28fe83cc8492c2 is f69e6f6702da55d58deb8379944d0a8b30b3384b + 

https://github.com/ceph/ceph/pull/41308

#4 - 06/08/2021 08:48 AM - Kefu Chai

- Status changed from New to Triaged
- Regression changed from No to Yes

#5 - 06/09/2021 08:37 AM - Kefu Chai

- Pull request ID set to 41754

#6 - 06/09/2021 09:44 AM - Sridhar Seshasayee

Raised PR https://github.com/ceph/ceph/pull/41782 to address the test failure.

Please see latest update to https://tracker.ceph.com/issues/51076 for the other failure.

The test with 'wpq' scheduler resulted in the same failure and so it doesn't look like

a regression caused by https://github.com/ceph/ceph/pull/41308.

Therefore, I think a revert of the changes in https://github.com/ceph/ceph/pull/41308

may not be required considering the above findings. I do agree that backport of these

changes can be put on hold until all the standalone tests are fixed with mclock

scheduler and a way to prevent running 'osd bench' on every osd restart.

#7 - 06/09/2021 10:25 AM - Kefu Chai

Sridhar, please read the https://tracker.ceph.com/issues/51074#note-3. that's my finding in the last 3 days.

#8 - 06/09/2021 10:39 AM - Sridhar Seshasayee

Kefu, yes I did read the update and your effort to find the commit(s) that caused the regression in the standalone test. I understand that the effort to

find regressions is never easy and thanks for bringing it up. If the rule is to completely remove the offending commits and resubmit it afresh after fixing

the regression, I am fine to follow that process.

From my point of view the cause of the regression is understood and the PR I raised a few moments ago

(https://github.com/ceph/ceph/pull/41782) is an effort to fix the regression. I have also highlighted through testing

that the issue in the other tracker https://tracker.ceph.com/issues/51076 in not a regression. If these findings are

not sufficient to prevent the revert of my original commits, I am fine with that. But I would like to know why that

is the case?

Please let me know your thoughts.

#9 - 06/17/2021 08:42 PM - Neha Ojha

- Status changed from Triaged to Pending Backport

- Pull request ID changed from 41754 to 41782

marking Pending Backport, needs to be included with https://github.com/ceph/ceph/pull/41731

#10 - 07/27/2021 04:54 AM - Loïc Dachary

- Backport set to pacific

I assume there needs to be at least a backport to pacific and populated the Backport field accordingly. Feel free to revert if that was a mistake.
#11 - 07/27/2021 04:55 AM - Backport Bot

- Copied to Backport #51859: pacific: standalone/osd-rep-recov-eio.sh: TEST_rep_read_unfound failed with "Bad data after primary repair" error.

added

#12 - 08/03/2021 06:55 AM - Sridhar Seshasayee

- Related to Backport #51117: pacific: osd: Run osd bench test to override default max osd capacity for mclock. added

#13 - 08/04/2021 10:59 AM - Sridhar Seshasayee

- Status changed from Pending Backport to Resolved

This doesn't need to be backported to pacific. The reason is that the mclock_scheduler will not be made default for pacific. Moving this to resolved

and additionally close the associated backport tracker.

#14 - 08/04/2021 10:59 AM - Sridhar Seshasayee

- Related to deleted (Backport #51117: pacific: osd: Run osd bench test to override default max osd capacity for mclock.)

#15 - 08/04/2021 11:02 AM - Sridhar Seshasayee

- Copied to deleted (Backport #51859: pacific: standalone/osd-rep-recov-eio.sh: TEST_rep_read_unfound failed with "Bad data after primary repair"

error.)

#16 - 08/04/2021 11:03 AM - Sridhar Seshasayee

- Backport deleted (pacific)
